<< sos2cell | FOSSEE_Signal_Processing_Toolbox | sos2tf >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sos2ss

# sos2ss

Convert digital filter second-order section parameters to state-space form

### Syntax

    [A,B,C,D] = sos2ss(sos)
    [A,B,C,D] = sos2ss(sos,g)

    Descriotion
    sos2ss converts a second-order section representation of a digital filter to an equivalent state-space representation.

### Parameters

A,B,C,D:

  Steady state parameters

sos:

  6 column second order section matrix

g:

  gain

### Examples

    sos = [1  1  1  1   0  -1 ; -2  3  1  1  10   1]
    [A,B,C,D] = sos2ss(sos,2)

### Authors

- Parthasarathi Panda
- parthasarathipanda314@gmail.com

Report an issue
<< sos2cell | FOSSEE_Signal_Processing_Toolbox | sos2tf >>